%define name smtpmap
%define version 0.8
%define release 2mdk

Summary:	SMTP server scanner and fingerprinting
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Monitoring
Url:		http://plasmahh.free-bsd.org/down_tool
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-makefile.patch.bz2
Requires:	libstdc++5
Requires:	libgcc1
BuildRequires:	libstdc++5-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Smtpmap is able to identify the running smtp software on a given
host. It shows the probability of the server version, and uses
three different fingerprinting technologies to maximize the 
probabilities. It can also be used to look if there is any smtp
service running on the given port.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1

%build

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/%{name}
install -m755 src/%{name} %{buildroot}%{_bindir}
install -m644 share/* %{buildroot}%{_datadir}/%{name}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog CommitLog INSTALL README THANKS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8-2mdk
- build release

* Fri Nov 01 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8-1mdk
- new version
- fix P0
- misc spec file fixes

* Thu Aug 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.7-2mdk
- rebuilt against new libstdc++5

* Sun Aug 11 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.7-1mdk
- initial cooker contrib

